zenilib: Zeni::Fog Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Fog Struct Reference
Zenilib

An Abstraction of Fog. More...

`#include <Fog.h>`

## Public Member Functions

| Fog (const Color &color_=ZENI_DEFAULT_FOG_COLOR, const float &density_=ZENI_DEFAULT_FOG_DENSITY, const FOG_TYPE &type_=ZENI_DEFAULT_FOG_TYPE, const float &start_=ZENI_DEFAULT_FOG_START, const float &end_=ZENI_DEFAULT_FOG_END)
void | set (Video_GL_Fixed &screen) const
void | set (Video_GL_Shader &screen) const
void | set (Video_DX9 &screen) const

## Public Attributes

Color | color
| Color muxed with the rendering. More...
float | density
| used when (FOGTYPE == FOG_EXP || FOGTYPE == FOG_EXP2) More...
float | end
| used when FOGTYPE == FOG_LINEAR More...
float | start
| used when FOGTYPE == FOG_LINEAR More...
FOG_TYPE | type
| The type of the Fog. More...

## Detailed Description

An Abstraction of Fog.

The Fog struct simply provides Fog data to both Direct3D9 and OpenGL.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 47 of file Fog.h.

## Constructor & Destructor Documentation

Zeni::Fog::Fog | ( | const Color & | color_ = `ZENI_DEFAULT_FOG_COLOR`,
|  | const float & | density_ = `ZENI_DEFAULT_FOG_DENSITY`,
|  | const FOG_TYPE & | type_ = `ZENI_DEFAULT_FOG_TYPE`,
|  | const float & | start_ = `ZENI_DEFAULT_FOG_START`,
|  | const float & | end_ = `ZENI_DEFAULT_FOG_END`
| ) |  |

Definition at line 34 of file Fog.cpp.

## Member Function Documentation

void Zeni::Fog::set | ( | Video_GL_Fixed & | screen | ) | const

Definition at line 48 of file Fog.cpp.

References density, Zeni::FOG_EXP, Zeni::FOG_EXP2, Zeni::FOG_LINEAR, GL_EXP, GL_EXP2, GL_FOG_COLOR, GL_FOG_DENSITY, GL_FOG_END, GL_FOG_HINT, GL_FOG_MODE, GL_FOG_START, GL_LINEAR, GL_NICEST, glFogf, glFogfv, glFogi, and glHint.

Referenced by set(), Zeni::Video_GL_Shader::set_Fog(), Zeni::Video_GL_Fixed::set_Fog(), and Zeni::Video_DX9::set_Fog().

void Zeni::Fog::set | ( | Video_GL_Shader & | screen | ) | const

DEPRECATED

Definition at line 68 of file Fog.cpp.

References set().

void Zeni::Fog::set | ( | Video_DX9 & | screen | ) | const

Definition at line 75 of file Fog.cpp.

References D3DFOG_EXP, D3DFOG_EXP2, D3DFOG_LINEAR, D3DRS_FOGCOLOR, D3DRS_FOGDENSITY, D3DRS_FOGEND, D3DRS_FOGSTART, D3DRS_FOGTABLEMODE, density, DWORD(), Zeni::FOG_EXP, Zeni::FOG_EXP2, Zeni::FOG_LINEAR, and Zeni::Video_DX9::get_d3d_device().

## Member Data Documentation

Color Zeni::Fog::color

Color muxed with the rendering.

Definition at line 67 of file Fog.h.

float Zeni::Fog::density

used when (FOGTYPE == FOG_EXP || FOGTYPE == FOG_EXP2)

Definition at line 68 of file Fog.h.

Referenced by set().

float Zeni::Fog::end

used when FOGTYPE == FOG_LINEAR

Definition at line 70 of file Fog.h.

float Zeni::Fog::start

used when FOGTYPE == FOG_LINEAR

Definition at line 69 of file Fog.h.

FOG_TYPE Zeni::Fog::type

The type of the Fog.

Definition at line 66 of file Fog.h.

The documentation for this struct was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Fog.h
- zenilib/jni/external/zenilib/zeni_graphics/Fog.cpp